import request from '../index'
const prefix = 'noise'

// 查询数据 分页
export function getDeviceDataListPage(data: object) {
  return request({
    url: `${prefix}/list`,
    method: 'post',
    data,
  })
}

// 查询噪声原始采样点数据信息
export function detailDataInfo(data: object) {
  return request({
    url: `${prefix}/detail`,
    method: 'post',
    data,
  })
}

// 导出
export function exportDeviceData(data: object) {
  return request({
    url: `${prefix}/list-export`,
    responseType: 'blob',
    method: 'post',
    data,
  })
}

